## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

---

### List and search customers

#### GET

```
https://api.dwolla.com/customers
```

#### cURL

```
curl --request GET \
  --url https://api.dwolla.com/customers \
  --header 'Accept: <accept>' \
  --header 'Authorization: Bearer <token>'
```

#### JavaScript (Fetch API)

```
const options = {method: 'GET', headers: {Accept: '<accept>', Authorization: 'Bearer <token>'}};

fetch('https://api.dwolla.com/customers', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### Python

```
import requests

url = "https://api.dwolla.com/customers"

headers = {
    "Accept": "<accept>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

#### PHP

```


```

### Response Codes

- **200**: Successful operation
- **403**: Forbidden - The supplied credentials are not authorized for this resource.

### Sample Response

```json
{
  "_links": {},
  "_embedded": {
    "customers": [
      {
        "_links": {},
        "id": "c41125c5-99c4-4303-a9f6-d066d28a61e3",
        "firstName": "Jane",
        "lastName": "Doe",
        "email": "janedoe@mail.com",
        "created": "2022-10-07T16:46:13.023Z",
        "type": "unverified",
        "status": "unverified",
        "correlationId": "CID-abe2bb3d-d2ff-433b-95a3-0debd960ed25",
        "businessName": "Jane Corp llc"
      }
    ]
  },
  "total": 2
}
```

### Authorization

**Authorization**: A string in the header that is required. The access token received from the authorization server in the OAuth 2.0 flow.

### Headers

- **Accept**: An string that indicates the media type of the response. Must be `application/vnd.dwolla.v1.hal+json`.

### Query Parameters

- **limit**: (integer) How many results to return.
- **offset**: (integer) How many results to skip.
- **search**: (string) Searches on certain fields.
- **status**: (string) Filter by customer status.

### Response

- **Implementation Details**
  - `total`: (integer) Example: `2`

---
